Bug 201687 - www/owncloud: Update to 8.1.0
Summary: www/owncloud: Update to 8.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Lo
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-07-19 07:31 UTC by loic.blot
Modified: 2015-08-07 06:54 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (kevlo)


Attachments
owncloud81.diff (216.16 KB, patch)
2015-07-19 07:31 UTC, loic.blot
no flags Details | Diff
Ownbutt 8.1 with php-posix (216.48 KB, patch)
2015-07-30 06:41 UTC, loic.blot
koobs: maintainer-approval? (kevlo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description loic.blot 2015-07-19 07:31:22 UTC
Created attachment 158966 [details]
owncloud81.diff

Hello,
Owncloud 8.1 is available since few weeks.

Here you find the updated port. Works fine on FreeBSD.

The only thing to do for upgrade if you want to improve: add a notice for users of contacts and calendar app to reinstall calendar app for owncloud 8.1 from here:
https://apps.owncloud.com/content/show.php/Calendar?content=168707

And for contacts:
https://apps.owncloud.com/content/show.php/Contacts?content=168708

Else owncloud will show a blank page after app reactivation.
Comment 1 joshruehlig 2015-07-28 17:01:36 UTC
Can you add posix to the list of required PHP extensions.

It was added as a dependency to accessing owncloud from the commandline in version 8.
https://github.com/owncloud/core/pull/13293
Comment 2 loic.blot 2015-07-30 06:41:49 UTC
Created attachment 159385 [details]
Ownbutt 8.1 with php-posix
Comment 3 Kurt Jaeger freebsd_committer 2015-07-30 06:59:35 UTC
Testing@work
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-30 07:51:05 UTC
Comment on attachment 159385 [details]
Ownbutt 8.1 with php-posix

Pending maintainer approval
Comment 5 Kurt Jaeger freebsd_committer 2015-07-30 07:55:51 UTC
build on 10.1a, 9.3a, 10.1i was fine
Comment 6 Kevin Lo freebsd_committer 2015-07-31 06:31:48 UTC
But I'm having an issue on -current:

PHP Fatal error:  Call to undefined function RandomLib\\Source\\hash() in /usr/local/www/owncloud/3rdparty/ircmaxell/random-lib/lib/RandomLib/Source/MicroTime.php on line 75
Comment 7 Kurt Jaeger freebsd_committer 2015-07-31 16:52:48 UTC
Isn't hash() part of PHP ?

http://php.net/manual/de/function.hash.php

Why would it fail ? What version of php do you have ?
Comment 8 Kevin Lo freebsd_committer 2015-08-01 14:44:01 UTC
Sorry I haven't had time to look into the issue yet.

# pkg info|grep php
mod_php56-5.6.11               PHP Scripting Language
php56-5.6.11                   PHP Scripting Language
php56-bz2-5.6.11               The bz2 shared extension for php
php56-ctype-5.6.11             The ctype shared extension for php
php56-curl-5.6.11              The curl shared extension for php
php56-dom-5.6.11               The dom shared extension for php
php56-exif-5.6.11              The exif shared extension for php
php56-fileinfo-5.6.11          The fileinfo shared extension for php
php56-filter-5.6.11            The filter shared extension for php
php56-gd-5.6.11                The gd shared extension for php
php56-hash-5.6.11              The hash shared extension for php
php56-iconv-5.6.11             The iconv shared extension for php
php56-json-5.6.11              The json shared extension for php
php56-ldap-5.6.11              The ldap shared extension for php
php56-mbstring-5.6.11          The mbstring shared extension for php
php56-mysql-5.6.11             The mysql shared extension for php
php56-openssl-5.6.11           The openssl shared extension for php
php56-pdo-5.6.11               The pdo shared extension for php
php56-pdo_mysql-5.6.11         The pdo_mysql shared extension for php
php56-pdo_sqlite-5.6.11        The pdo_sqlite shared extension for php
php56-posix-5.6.11             The posix shared extension for php
php56-session-5.6.11           The session shared extension for php
php56-simplexml-5.6.11         The simplexml shared extension for php
php56-sqlite3-5.6.11           The sqlite3 shared extension for php
php56-wddx-5.6.11              The wddx shared extension for php
php56-xml-5.6.11               The xml shared extension for php
php56-xmlreader-5.6.11         The xmlreader shared extension for php
php56-xmlwriter-5.6.11         The xmlwriter shared extension for php
php56-xsl-5.6.11               The xsl shared extension for php
php56-zip-5.6.11               The zip shared extension for php
php56-zlib-5.6.11              The zlib shared extension for php
Comment 9 commit-hook freebsd_committer 2015-08-07 06:53:59 UTC
A commit references this bug:

Author: kevlo
Date: Fri Aug  7 06:53:08 UTC 2015
New revision: 393684
URL: https://svnweb.freebsd.org/changeset/ports/393684

Log:
  Update to 8.1.0

  PR:	201687
  Submitted by:	Lo?c BLOT <loic.blot at unix-experience dot fr>

Changes:
  head/www/owncloud/Makefile
  head/www/owncloud/distinfo
  head/www/owncloud/pkg-plist
Comment 10 Kevin Lo freebsd_committer 2015-08-07 06:54:54 UTC
Sorry for taking so long.  I committed it as r393684, thanks.